For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETSearch knowledge base
          • GETGet dependent agents
          • GETGet knowledge base size
          • GETGet knowledge base summaries
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceKnowledge Base

Get dependent agents

GET
/v1/convai/knowledge-base/:documentation_id/dependent-agents
GET
/v1/convai/knowledge-base/:documentation_id/dependent-agents
$curl https://api.elevenlabs.io/v1/convai/knowledge-base/documentation_id/dependent-agents
1{
2 "agents": [
3 {
4 "type": "available",
5 "access_level": "admin",
6 "created_at_unix_secs": 1,
7 "id": "string",
8 "name": "string",
9 "referenced_resource_ids": [
10 "string"
11 ]
12 }
13 ],
14 "has_more": true,
15 "branches": [
16 {
17 "agent_id": "string",
18 "agent_name": "string",
19 "branch_id": "string",
20 "branch_name": "string",
21 "is_main": true
22 }
23 ],
24 "next_cursor": "string"
25}
Get a list of agents depending on this knowledge base document
Was this page helpful?
Previous

Get knowledge base size

Next
Built with

Path parameters

documentation_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.

Headers

xi-api-keystringOptional

Query parameters

dependent_typeenumOptional
Type of dependent agents to return.
Allowed values:
page_sizeintegerOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
agentslist of objects
has_moreboolean
brancheslist of objects
next_cursorstring or null

Errors

422
Unprocessable Entity Error